
#include "hmg.ch"

*-------------------------------------------*
FUNCTION Main
*-------------------------------------------*

    DEFINE WINDOW Form_1           ;           
       AT 0,0                      ;
       WIDTH 600 HEIGHT 400        ;  
       TITLE "Sample Delete Files" ;
       MAIN NOSIZE NOMAXIMIZE         
               
       ON KEY ESCAPE ACTION Form_1.Release     
 

               @ 115,368 BUTTON Delete          ;     
                         CAPTION 'Delete'       ;             
                         TOOLTIP 'Delete'       ; 
                         WIDTH 97 HEIGHT 60     ; 
                         ACTION Deletery()   

                @ 215,368 BUTTON Salir          ;     
                         CAPTION 'Exit'         ;             
                         TOOLTIP 'Exit ...'     ; 
                         WIDTH 97 HEIGHT 60     ; 
                         ACTION Form_1.Release     

    END WINDOW
    
   CENTER WINDOW Form_1
   ACTIVATE WINDOW Form_1

Return Nil

*-------------------------------------------*

*-------------------------------------------*
FUNCTION Deletery()
*-------------------------------------------*

   LOCAL cFileNames, aFileList := {}, cFileName, i
   LOCAL nDeleted := 0  // Contador de archivos eliminados
   LOCAL cConfirm       // Declaración anticipada
   LOCAL Folder :=  GetCurrentFolder() 


   // Usar GetFile para permitir la selección de múltiples archivos
   cFileNames := Getfile({{[Todos los Archivos], [*.TXT]}}, [Seleccione los archivos a borrar], [Folder], .T. , .T.)

   // Validar si el usuario seleccionó algún archivo
   IF Empty(cFileNames)
      MsgStop("No se seleccionó ningún archivo.", "Atención")
      RETURN NIL
   ENDIF

   // Procesar los archivos seleccionados
   IF ValType(cFileNames) == "A" // Si es un array, asignarlo directamente
      aFileList := cFileNames
   ELSEIF ValType(cFileNames) == "C" .AND. !Empty(cFileNames)
      IF ";" $ cFileNames
         aFileList := HB_ATOKENS(cFileNames, ";") // Dividir si hay múltiples nombres separados por ";"
      ELSE
         AAdd(aFileList, Trim(cFileNames)) // Si es un solo archivo, agregarlo al array
      ENDIF
   ELSE
      MsgStop("Selección inválida. Intente nuevamente.", "Error")
      RETURN NIL
   ENDIF

   // Validar que `aFileList` tenga elementos válidos
   IF Empty(aFileList)
      MsgStop("No se encontraron archivos válidos para borrar.", "Atención")
      RETURN NIL
   ENDIF

   // Confirmar con el usuario
   cConfirm := "Archivos seleccionados:" + CRLF + CRLF
   FOR i := 1 TO Len(aFileList)
      cConfirm += "- " + Trim(aFileList[i]) + CRLF
   NEXT

   IF !MsgYesNo(cConfirm + CRLF + "¿Desea borrar estos archivos?", "Confirmar Eliminación")
      RETURN NIL
   ENDIF

   // Eliminar archivos
   FOR i := 1 TO Len(aFileList)
      cFileName := aFileList[i]
      IF HB_FileExists(cFileName)
         HB_FileDelete(cFileName)
         nDeleted++
      ENDIF
   NEXT

   // Mostrar el resultado final
   IF nDeleted > 0
      MsgInfo(Str(nDeleted) + " archivo(s) eliminado(s).", "Operación Exitosa")
   ELSE
      MsgInfo("No se eliminó ningún archivo.", "Atención")
   ENDIF


RETURN NIL







































